
{* <!-- Smart Fieldsets by LucMorizur December 2010 --> *}
{* <!-- Part of Piwigo project, http://piwigo.org   --> *}
{* <!-- Creates "disappearing" <fieldset>'s         --> *}

{known_script id="jquery" src=$ROOT_URL|@cat:"themes/default/js/jquery.packed.js"}

{literal}
  <script type="text/javascript">
    var sf_animate_fast      = false;
    var sf_plus_bullet_path  = '';
    var sf_minus_bullet_path = '';
    
    function sf_reduce(fieldset_id, fast) {
      var l_m = jQuery('#' + fieldset_id + ' legend');
      if (sf_reduce.arguments.length < 2) fast = sf_animate_fast;
      if (!l_m.is('.sf_command')) l_m.addClass('sf_command');
      if (!jQuery('#' + fieldset_id).is(':hidden'))
       l_m.trigger('sf_reduce_private', fast);
      l_m.removeClass('sf_command');
    }
    
    function sf_maximize(fieldset_id, fast) {
      var l_r = jQuery('#' + fieldset_id + '_reduced_legend');
      if (sf_maximize.arguments.length < 2) fast = sf_animate_fast;
      if (!l_r.is('.sf_command')) l_r.addClass('sf_command');
      if (jQuery('#' + fieldset_id).is(':hidden'))
       l_r.trigger('sf_maximize_private', fast);
      l_r.removeClass('sf_command');
    }
    
    function sf_lock(fieldset_id, locked) {
      var l_m = jQuery('#' + fieldset_id + ' legend');
      var l_r = jQuery('#' + fieldset_id + '_reduced_legend');
      if (locked) {
        l_r.css('cursor', 'auto');
        l_r.removeClass('sf_click_ok');
        l_m.css('cursor', 'auto');
        l_m.removeClass('sf_click_ok');
      }
      else {
        l_r.css('cursor', 'pointer');
        if (!l_r.is('.sf_click_ok')) l_r.addClass('sf_click_ok');
        l_m.css('cursor', 'pointer');
        if (!l_m.is('.sf_click_ok')) l_m.addClass('sf_click_ok');
      }
    }
    
    function sf_init(fieldset_id, cache_id) {
      jQuery(document).ready(function(){
        var f_m   = jQuery('#' + fieldset_id);
        var l_m   = jQuery('#' + fieldset_id + ' legend');
        var l_txt = l_m.text();
        var f_r   = f_m;
        var l_r   = l_m;
        if (sf_minus_bullet_path != '') l_m.prepend(
          '<img alt = "" title = ""' +
          'src = "' + sf_minus_bullet_path + '"' + '>&nbsp;'
        );
        l_m.addClass('sf_legends');
        l_m.addClass('sf_click_ok');
        f_m.before(document.createElement('div'));
        f_r = f_m.prev();
        f_r.css({
          'display'        : 'none',
          'padding-left'   : f_m.css('padding-left'),
          'padding-right'  : f_m.css('padding-right'),
          'margin-left'    : f_m.css('margin-left'),
          'margin-top'     : f_m.css('margin-top'),
          'margin-right'   : f_m.css('margin-right'),
          'margin-bottom'  : f_m.css('margin-bottom'),
          'line-height'    : f_m.css('line-height'),
          'vertical-align' : f_m.css('vertical-align'),
        });
        f_r.attr('id', fieldset_id + '_reduced');
        f_r.append(document.createElement('span'));
        l_r = f_r.children('span');
        l_r.attr('id', fieldset_id + '_reduced_legend');
        l_r.addClass('sf_legends');
        l_r.addClass('sf_click_ok');
        l_r.css({
          'font-weight'         : l_m.css('font-weight'),
          'font-style'          : l_m.css('font-style'),
          'letter-spacing'      : l_m.css('letter-spacing'),
          'padding-left'        : f_m.css('border-left-width'),
          'padding-right'       : f_m.css('border-right-width'),
          'text-align'          : l_m.css('text-align'),
          'outline'             : l_m.css('outline'),
          'color'               : l_m.css('color'),
          'font-family'         : l_m.css('font-family'),
          'font-size'           : l_m.css('font-size'),
          'border-top-width'    : l_m.css('border-top-width'),
          'border-bottom-width' : l_m.css('border-bottom-width'),
          'border-left-width'   : l_m.css('border-left-width'),
          'border-right-width'  : l_m.css('border-right-width'),
          'border-top-color'    : l_m.css('border-top-color'),
          'border-bottom-color' : l_m.css('border-bottom-color'),
          'border-left-color'   : l_m.css('border-left-color'),
          'border-right-color'  : l_m.css('border-right-color'),
          'border-top-style'    : l_m.css('border-top-style'),
          'border-bottom-style' : l_m.css('border-bottom-style'),
          'border-left-style'   : l_m.css('border-left-style'),
          'border-right-style'  : l_m.css('border-right-style'),
        });
        if (sf_plus_bullet_path == '') l_r.append(
          '<span style = "padding-left:' + l_m.css('padding-left') + ';">' +
          l_txt + '</' + 'span>&nbsp;: '
         );
        else l_r.append(
          '<img alt = "" title = "" src = "' + sf_plus_bullet_path + '" ' +
          'style = "padding-left:' + l_m.css('padding-left') + ';"' +
          '>&nbsp;' + l_txt + '&nbsp;: '
         );
        l_r.after(document.createElement('span'));
        l_r.next().attr('id', cache_id);
        jQuery('.sf_legends').css('cursor', 'pointer');
        l_m.bind('sf_reduce_private', function(event, fast){ // Reduce
          if (l_m.is('.sf_command, .sf_click_ok')) {
            if (fast) {
              f_m.hide();
              f_r.show();
            }
            else {
              f_m.find('*').not('.sf_legends, img').animate(
                { 'opacity' : 0 },
                200,
                function(){
                  f_m.slideUp(400, function(){
                    f_r.show();
                  });
                }
              );
            }
          }
        });
        l_r.bind('sf_maximize_private', function(event, fast){ // Maximize
          if (l_r.is('.sf_command, .sf_click_ok')) {
            if (fast) {
              f_m.find('*').not('.sf_legends, img').css('opacity', 1);
              f_r.hide();
              f_m.show();
            }
            else {
              f_r.hide();
              f_m.slideDown(400, function(){
                f_m.find('*').not('.sf_legends, img').animate(
                  { 'opacity' : 1 },
                  200
                );
              });
            }
          }
        });
        l_m.click(function(){ // Reduce
          l_m.trigger('sf_reduce_private', sf_animate_fast);
        });
        l_r.click(function(){ // Maximize
          l_r.trigger('sf_maximize_private', sf_animate_fast);
        });
      });
    }
  </script>
{/literal}
